Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class NotFound

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CosNaming.NamingContextPackage.NotFound

All Implemented Interfaces:
  IDLEntity, Serializable

public final class NotFound
extends UserException

org/omg/CosNaming/NamingContextPackage/NotFound.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/CosNaming/nameservice.idl Thursday, August 29, 2002 3:09:32 AM GMT-08:00

Field Summary
`NameComponent[]` | `rest_of_name`
`NotFoundReason` | `why`

Constructor Summary
`NotFound()`
`NotFound(NotFoundReason _why, NameComponent[] _rest_of_name)`
`NotFound(String $reason, NotFoundReason _why, NameComponent[] _rest_of_name)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### why

    public NotFoundReason why

### rest_of_name

    public NameComponent[] rest_of_name

Constructor Detail

### NotFound

    public NotFound()

### NotFound

    public NotFound(NotFoundReason _why,
                    NameComponent[] _rest_of_name)

### NotFound

    public NotFound(String $reason,
                    NotFoundReason _why,
                    NameComponent[] _rest_of_name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.